Bug 427158 - Pirut Error?
Pirut Error?
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-01 12:06 EST by James W
Modified: 2008-03-12 12:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 12:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James W 2008-01-01 12:06:16 EST
Description of problem:

When selecting "Add/Remove Software" from the "Applications" drop down menu the
following box appeared:

"An unhandled exception has occurred. This is most likely a bug. Please save the
crash dump and file a detailed bug report against pirut at
https://bugzilla.redhat.com/bugzilla

Component: pirut
Summary: TBa0507fdd plugins.py:277:_getpluginconf:NameError: global name
'ParsingError' is not defined

Traceback (most recent call last):
File "/usr/sbin/pirut", line 483, in <module>
main()
File "/usr/sbin/pirut", line 476, in main
pm = PackageManager(options.config, options.onlyrepo)
File "/usr/sbin/pirut", line 63, in __init__
GraphicalYumBase.__init__(self, False, config)
File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 132, in __init__
plugin_types=(yum.plugins.TYPE_CORE,))
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 116, in doConfigSetup
errorlevel=errorlevel)
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 160, in _getConfig
startupconf.pluginconfpath,disabled_plugins)
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 306, in doPluginSetup
plugin_types, confpath, disabled_plugins)
File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 145, in __init__
self._importplugins(types)
File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 186, in _importplugins
self._loadplugin(modulefile, types)
File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 195, in _loadplugin
conf = self._getpluginconf(modname)
File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 277, in _getpluginconf
except ParsingError, e:
NameError: global name 'ParsingError' is not defined

Local variables in innermost frame:
modname: priorities
confpp_obj: <yum.parser.ConfigPreProcessor instance at 0x101b170>
parser: <iniparse.compat.ConfigParser object at 0x1018ed0>
self: <yum.plugins.YumPlugins instance at 0x101ab90>
conffilename: /etc/yum/pluginconf.d/priorities.conf
dir: /etc/yum/pluginconf.d "

Additional info: I'm new to Linux/Fedora and hope this error report is
sufficient. Any queries i'm at 1j9r8w9@googlemail.com
Comment 1 Jon Stanley 2008-01-01 12:20:06 EST
This looks like a configuration error with yum-priorities.  Have you modified
the config file at all?  Does a 'yum update' from the command line throw the
same error (looking at it, my guess is yes, just want to confirm).  Also, what
version of yum-priorities do you have?

Comment 2 Arnoldo A. Ramos, Jr. 2008-01-04 02:46:55 EST
(In reply to comment #0)

This is the same problem I am encountering now. I just installed Fedora 8 a week
ago and this happened after I run "yum list available" at the terminal window. 
I used "yum -y install yum-priorities" and other procedures from the Unofficial
Fedora FAQs.

> Description of problem:
> 
> When selecting "Add/Remove Software" from the "Applications" drop down menu the
> following box appeared:
> 
> "An unhandled exception has occurred. This is most likely a bug. Please save the
> crash dump and file a detailed bug report against pirut at
> https://bugzilla.redhat.com/bugzilla
> 
> Component: pirut
> Summary: TBa0507fdd plugins.py:277:_getpluginconf:NameError: global name
> 'ParsingError' is not defined
> 
> Traceback (most recent call last):
> File "/usr/sbin/pirut", line 483, in <module>
> main()
> File "/usr/sbin/pirut", line 476, in main
> pm = PackageManager(options.config, options.onlyrepo)
> File "/usr/sbin/pirut", line 63, in __init__
> GraphicalYumBase.__init__(self, False, config)
> File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 132, in __init__
> plugin_types=(yum.plugins.TYPE_CORE,))
> File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 116, in
doConfigSetup
> errorlevel=errorlevel)
> File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 160, in _getConfig
> startupconf.pluginconfpath,disabled_plugins)
> File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 306, in
doPluginSetup
> plugin_types, confpath, disabled_plugins)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 145, in __init__
> self._importplugins(types)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 186, in
_importplugins
> self._loadplugin(modulefile, types)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 195, in _loadplugin
> conf = self._getpluginconf(modname)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 277, in
_getpluginconf
> except ParsingError, e:
> NameError: global name 'ParsingError' is not defined
> 
> Local variables in innermost frame:
> modname: priorities
> confpp_obj: <yum.parser.ConfigPreProcessor instance at 0x101b170>
> parser: <iniparse.compat.ConfigParser object at 0x1018ed0>
> self: <yum.plugins.YumPlugins instance at 0x101ab90>
> conffilename: /etc/yum/pluginconf.d/priorities.conf
> dir: /etc/yum/pluginconf.d "
> 
> Additional info: I'm new to Linux/Fedora and hope this error report is
> sufficient. Any queries i'm at 1j9r8w9@googlemail.com

Comment 3 Arnoldo A. Ramos, Jr. 2008-01-04 02:52:26 EST
(In reply to comment #1)
> This looks like a configuration error with yum-priorities.  Have you modified
> the config file at all?  Does a 'yum update' from the command line throw the
> same error (looking at it, my guess is yes, just want to confirm).  Also, what
> version of yum-priorities do you have?
> 
> 

I am a Linux newbie so I don't how to modify anything. This appeared when I run
"yum -y install yum-priorities" at the terminal window - Package yum-priorities
- 1.1.9-2.fc8.noarch is already installed.
Comment 4 Arnoldo A. Ramos, Jr. 2008-01-04 02:59:51 EST
(In reply to comment #0)
> Description of problem:
> 
> When selecting "Add/Remove Software" from the "Applications" drop down menu the
> following box appeared:
> 
> "An unhandled exception has occurred. This is most likely a bug. Please save the
> crash dump and file a detailed bug report against pirut at
> https://bugzilla.redhat.com/bugzilla
> 
> Component: pirut
> Summary: TBa0507fdd plugins.py:277:_getpluginconf:NameError: global name
> 'ParsingError' is not defined
> 
> Traceback (most recent call last):
> File "/usr/sbin/pirut", line 483, in <module>
> main()
> File "/usr/sbin/pirut", line 476, in main
> pm = PackageManager(options.config, options.onlyrepo)
> File "/usr/sbin/pirut", line 63, in __init__
> GraphicalYumBase.__init__(self, False, config)
> File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 132, in __init__
> plugin_types=(yum.plugins.TYPE_CORE,))
> File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 116, in
doConfigSetup
> errorlevel=errorlevel)
> File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 160, in _getConfig
> startupconf.pluginconfpath,disabled_plugins)
> File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 306, in
doPluginSetup
> plugin_types, confpath, disabled_plugins)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 145, in __init__
> self._importplugins(types)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 186, in
_importplugins
> self._loadplugin(modulefile, types)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 195, in _loadplugin
> conf = self._getpluginconf(modname)
> File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 277, in
_getpluginconf
> except ParsingError, e:
> NameError: global name 'ParsingError' is not defined
> 
> Local variables in innermost frame:
> modname: priorities
> confpp_obj: <yum.parser.ConfigPreProcessor instance at 0x101b170>
> parser: <iniparse.compat.ConfigParser object at 0x1018ed0>
> self: <yum.plugins.YumPlugins instance at 0x101ab90>
> conffilename: /etc/yum/pluginconf.d/priorities.conf
> dir: /etc/yum/pluginconf.d "
> 
> Additional info: I'm new to Linux/Fedora and hope this error report is
> sufficient. Any queries i'm at 1j9r8w9@googlemail.com


After running "yum -y install yum-priorities" at the terminal window, I ran
"nano /etc/yum/pluginconf.d/priorities.conf"

# The contents of that file look like:

[main]
enabled = 1

You need to add the line check_obsoletes = 1 to the bottom of the file, so that
it looks like:

[main]
enabled = 1
check_obsoletes = 1

After this, the bug suddenly appeared.  So, I went back to this point and
removed the two lines. Lo and behold!  The bug disappeared... or so it seemed in
my case.
Comment 5 Seth Vidal 2008-01-04 08:22:32 EST
I'm curious about something. If y'all are all new to linux, why are you
installing yum-priorities? It's a feature for more advanced users, I think.
Comment 6 August Montaña 2008-02-06 09:44:14 EST
I thinks that my problem is the same.
In a newly installed Fedora8 in a Asus A8N, when pirut is trying to update the
system, appears the following error.

>> Component: pirut
>> Summary: TB1e1252c8 sqlitesack.py:812:excludeArchs:AttributeError: 'NoneType'
>> object has no attribute 'cursor'
>> 
>> Traceback (most recent call last):
>>   File "/usr/sbin/pup", line 614, in <module>
>>     main()
>>   File "/usr/sbin/pup", line 610, in main
>>     pup.run()
>>   File "/usr/sbin/pup", line 449, in run
>>     self.doRefresh()
>>   File "/usr/sbin/pup", line 267, in doRefresh
>>     pbar = self.doRefreshRepos(destroy=False)
>>   File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 331, in
doRefreshRepos
>>     self.reposSetup(pbar, thisrepo)
>>   File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 296, in
reposSetup
>>     self.doTsSetup()
>>   File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 63, in doTsSetup
>>     return self._getTs()
>>   File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 77, in _getTs
>>     self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
>>   File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 526, in <lambda>
>>     pkgSack = property(fget=lambda self: self._getSacks(),
>>   File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 385, in _getSacks
>>     self._pkgSack.excludeArchs(archlist)
>>   File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 337, in
excludeArchs
>>     sack.excludeArchs(archlist)
>>   File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 812, in
excludeArchs
>>     cur = cache.cursor()
>> AttributeError: 'NoneType' object has no attribute 'cursor'
>> 
>> Local variables in innermost frame:
>> arch_query: ('x86_64','athlon','i686','i586','i486','i386','noarch')
>> archlist: ["'x86_64'", "'athlon'", "'i686'", "'i586'", "'i486'", "'i386'",
"'noarch'"]
>> rep: InstallMedia
>> cache: None
>> self: <yum.sqlitesack.YumSqlitePackageSack object at 0x12729d0>


If I try to update via 'yum update' that is the result:

>> [root@descartes ~]# yum update
>> fedora                    100% |=========================| 2.1 kB    00:00     
>> primary.sqlite.bz2        100% |=========================| 5.8 MB    00:48     
>> updates                   100% |=========================| 2.3 kB    00:00     
>> Setting up Update Process
>> Resolving Dependencies
>> --> Running transaction check
>> ---> Package avahi.x86_64 0:0.6.21-8.fc8 set to be updated
>> ---> Package gnome-applets.i386 1:2.20.0-8.fc8 set to be updated
>> ---> Package e2fsprogs.x86_64 0:1.40.2-12.fc8 set to be updated
>> ---> Package libwnck.x86_64 0:2.20.2-1.fc8 set to be updated
>> ---> Package libxcb.x86_64 0:1.0-4.fc8 set to be updated
...
>> ---> Package paps-libs.x86_64 0:0.6.8-1.fc8 set to be updated
>> ---> Package net-snmp.x86_64 1:5.4.1-5.fc8 set to be updated
>> --> Running transaction check
>> ---> Package libsexy.x86_64 0:0.1.11-3.fc8 set to be updated
>> filelists.sqlite.bz2      100% |=========================| 8.8 MB    01:13     
>> Traceback (most recent call last):
>>   File "/usr/bin/yum", line 29, in <module>
>>     yummain.main(sys.argv[1:])
>>   File "/usr/share/yum-cli/yummain.py", line 146, in main
>>     (result, resultmsgs) = base.buildTransaction() 
>>   File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 574, in
buildTransaction
>>     (rescode, restring) = self.resolveDeps()
>>   File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 721, in
resolveDeps
>>     for po, dep in self._checkFileRequires():
>>   File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 924, in
_checkFileRequires
>>     if not self.tsInfo.getOldProvides(filename) and not
self.tsInfo.getNewProvides(filename):
>>   File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 385,
in getNewProvides
>>     for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
>>   File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 234, in
getProvides
>>     return self._computeAggregateDictResult("getProvides", name, flags, version)
>>   File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 393, in
_computeAggregateDictResult
>>     sackResult = apply(method, args)
>>   File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 511, in
getProvides
>>     return self._search("provides", name, flags, version)
>>   File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 494, in _search
>>     for pkg in self.searchFiles(name):
>>   File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 325, in
searchFiles
>>     cur = cache.cursor()
>> AttributeError: 'NoneType' object has no attribute 'cursor'
[root@descartes ~]# 

Basically it seem that filelists.sqlite.bz2 is incompatible with our system
Comment 7 Seth Vidal 2008-03-12 12:18:34 EDT
These are two separate problems.

In the first case it needs to be filed against yum-utils

in the second please open a new bug.

I'm going to close this one as it is too muddled to follow anymore.

Note You need to log in before you can comment on or make changes to this bug.